﻿namespace SSISComponents.ReportGenerator
{
    public class RenderExtension
    {
        private string _name;
        private string _extension;
        private string _fullName;

        /// <summary>
        /// Default constructor which receives the name, extensions and fullname;
        /// </summary>
        public RenderExtension(string name, string extension, string fullname)
        {
            _name = name;
            _extension = extension;
            _fullName = fullname;
        }

        /// <summary>
        /// Gets or Sets the name as used with ReportingServices.
        /// </summary>
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        /// <summary>
        /// Gets or Sets the extension to use with this name.
        /// </summary>
        public string Extension
        {
            get { return _extension; }
            set { _extension = value; }
        }

        /// <summary>
        /// Gets or Sets the fullname to use with this name.
        /// </summary>
        public string FullName
        {
            get { return _fullName; }
            set { _fullName = value; }
        }
    }
}
